# -*- coding: utf-8 -*-

from rest_framework import serializers

from .. import models


class PaymentFormSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.PaymentForm
        fields = '__all__'


class PaymentFormSerializerCreate(serializers.ModelSerializer):
    class Meta:
        model = models.PaymentForm
        exclude = ('date_create', 'date_last_modify', 'creator', 'last_modifier')


class PaymentFormSerializerUpdate(serializers.ModelSerializer):
    class Meta:
        model = models.PaymentForm
        exclude = ('date_create', 'date_last_modify', 'creator', 'last_modifier')


class PaymentInstallmentSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.PaymentInstallment
        fields = '__all__'


class PaymentInstallmentSerializerCreate(serializers.ModelSerializer):
    class Meta:
        model = models.PaymentInstallment
        exclude = ('date_create', 'date_last_modify', 'creator', 'last_modifier')


class PaymentInstallmentSerializerUpdate(serializers.ModelSerializer):
    class Meta:
        model = models.PaymentInstallment
        exclude = ('date_create', 'date_last_modify', 'creator', 'last_modifier')
